MBeanUtils (Tomcat API Documentation)
Keywords: org.apache.catalina.mbeans.MBeanUtils class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.mbeans
Class MBeanUtils

    java.lang.Object
      org.apache.catalina.mbeans.MBeanUtils

    public class MBeanUtils

extends java.lang.Object

Public utility methods in support of the server side MBeans implementation.

Version:
  $Revision: 500684 $ $Date: 2007-01-28 00:27:18 +0100 (Sun, 28 Jan 2007) $
Author:
  Craig R. McClanahan, Amy Roh

Constructor Summary
`MBeanUtils()`

Method Summary
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, ContextEnvironment environment)` Create an `ObjectName` for this `Service` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, ContextResource resource)` Create an `ObjectName` for this `ContextResource` object.
`static javax.management.ObjectName` | `createObjectName(java.lang.String domain, ContextResourceLink resourceLink)` Create an `ObjectName` for this `ContextResourceLink` object.
`static Registry` | `createRegistry()` Create and configure (if necessary) and return the registry of managed object descriptions.
`static javax.management.MBeanServer` | `createServer()` Create and configure (if necessary) and return the `MBeanServer` with which we will be registering our `DynamicMBean` implementations.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanUtils

    public MBeanUtils()

Method Detail

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               ContextEnvironment environment)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `Service` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `environment` - The ContextEnvironment to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               ContextResource resource)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `ContextResource` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `resource` - The ContextResource to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createObjectName

    public static javax.management.ObjectName createObjectName(java.lang.String domain,
                                                               ContextResourceLink resourceLink)
                                                        throws javax.management.MalformedObjectNameException

  Create an `ObjectName` for this `ContextResourceLink` object.

  Parameters:
    `domain` - Domain in which this name is to be created
    `resourceLink` - The ContextResourceLink to be named
  Throws:
    `javax.management.MalformedObjectNameException` - if a name cannot be created

### createRegistry

    public static Registry createRegistry()

  Create and configure (if necessary) and return the registry of managed object descriptions.

### createServer

    public static javax.management.MBeanServer createServer()

  Create and configure (if necessary) and return the `MBeanServer` with which we will be registering our `DynamicMBean` implementations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.